## com.baidubce.services.media.model
Class ThumbnailSource

    java.lang.Object
      com.baidubce.services.media.model.ThumbnailSource

    public class ThumbnailSource

extends Object

Constructor Summary
`ThumbnailSource()`

Method Summary
`String` `getKey()`
`void` `setKey(String key)`
`String` `toString()`
`ThumbnailSource` `withKey(String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThumbnailSource

    public ThumbnailSource()

Method Detail

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### withKey

    public ThumbnailSource withKey(String key)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.